Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
eZContentObjectStateGroup Class Reference
Inheritance diagram for eZContentObjectStateGroup:

## Public Member Functions
| currentTranslation ()
| setCurrentLanguage ( $locale)
| allTranslations ()
| translationByLocale ( $locale)
| translations ()
| languages ()
| availableLanguages ()
| store ( $fieldFilters=null)
| defaultLanguage ()
| isValid (&$messages=array())
| states ( $refreshMemberVariable=false)
| fetchHTTPPersistentVariables ()
| removeStatesByID ( $idList)
| reorderStates ( $stateIDList)
| newState ( $identifier=null)
| isInternal ()
| stateByIdentifier ( $stateIdentifier)
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | fetchById ( $id)
static | fetchByIdentifier ( $identifier)
static | fetchByOffset ( $limit, $offset)
static | removeByID ( $id)
static | limitations ()
static | limitationValues ( $groupID)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $DefaultLanguageID
const | MAX_IDENTIFIER_LENGTH = 45
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Static Public Attributes
static | $allowInternalCUD = false

## Private Member Functions
| setLanguageObject (eZContentObjectStateGroupLanguage $stateGroupLanguage)

## Static Private Member Functions
static | fetchByConditions ( $conditions, $limit, $offset)

## Private Attributes
| $LanguageObject
| $Translations
| $AllTranslations
| $States

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Definition at line 18 of file ezcontentobjectstategroup.php.

## Member Function Documentation

## ◆ allTranslations()

eZContentObjectStateGroup::allTranslations | ( |  | ) |

Returns
  array

Definition at line 190 of file ezcontentobjectstategroup.php.

References $AllTranslations, eZPersistentObject\$ID, $language, $row, $translation, eZContentLanguage\fetchList(), and translations().

Referenced by fetchHTTPPersistentVariables(), and translationByLocale().

## ◆ availableLanguages()

eZContentObjectStateGroup::availableLanguages | ( |  | ) |

Get the languages the state group exists in.

Returns
  array an array of language code strings.

Definition at line 275 of file ezcontentobjectstategroup.php.

References languages().

## ◆ currentTranslation()

eZContentObjectStateGroup::currentTranslation | ( |  | ) |

Returns
  eZContentObjectStateGroupLanguage

Definition at line 158 of file ezcontentobjectstategroup.php.

References $LanguageObject.

## ◆ defaultLanguage()

eZContentObjectStateGroup::defaultLanguage | ( |  | ) |

Returns
  eZContentLanguage

Definition at line 366 of file ezcontentobjectstategroup.php.

References eZContentLanguage\fetch().

## ◆ definition()

static eZContentObjectStateGroup::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 30 of file ezcontentobjectstategroup.php.

Referenced by fetchHTTPPersistentVariables(), and removeByID().

## ◆ fetchByConditions()

static eZContentObjectStateGroup::fetchByConditions | ( |  | $conditions,
|  |  | $limit,
|  |  | $offset
| ) |  |
| static private

Fetches content object state groups by certain conditions

Parameters

  array | $conditions |
  integer | $limit |
  integer | $offset |

Returns
  array

Definition at line 99 of file ezcontentobjectstategroup.php.

References $db, $limit, $offset, $row, $rows, eZContentLanguage\languagesSQLFilter(), and eZContentLanguage\sqlFilter().

Referenced by fetchById(), fetchByIdentifier(), fetchByOffset(), and limitations().

## ◆ fetchById()

static eZContentObjectStateGroup::fetchById | ( |  | $id | ) |
| static

Fetches a content object state group by its numerical ID

Parameters

  integer | $id |

Returns
  eZContentObjectStateGroup|boolean

Definition at line 68 of file ezcontentobjectstategroup.php.

References $id, eZPersistentObject\count(), and fetchByConditions().

Referenced by eZContentObjectState\group(), and limitationValues().

## ◆ fetchByIdentifier()

static eZContentObjectStateGroup::fetchByIdentifier | ( |  | $identifier | ) |
| static

Fetches a content object state group by its identifier

Parameters

  string | $identifier |

Returns
  eZContentObjectStateGroup|boolean

Definition at line 82 of file ezcontentobjectstategroup.php.

References $db, eZPersistentObject\count(), and fetchByConditions().

Referenced by isValid().

## ◆ fetchByOffset()

static eZContentObjectStateGroup::fetchByOffset | ( |  | $limit,
|  |  | $offset
| ) |  |
| static

Parameters

  int | $limit |
  int | $offset |

Returns
  array

Definition at line 138 of file ezcontentobjectstategroup.php.

References $limit, $offset, and fetchByConditions().

## ◆ fetchHTTPPersistentVariables()

eZContentObjectStateGroup::fetchHTTPPersistentVariables | ( |  | ) |

Fetches the HTTP persistent variables for this content object state group and its localizations.

"ContentObjectStateGroup" is used as base name for the persistent variables.

See also
  eZHTTPPersistence

Definition at line 481 of file ezcontentobjectstategroup.php.

References $http, allTranslations(), definition(), and eZContentObjectStateGroupLanguage\definition().

## ◆ isInternal()

eZContentObjectStateGroup::isInternal | ( |  | ) |

Definition at line 628 of file ezcontentobjectstategroup.php.

## ◆ isValid()

eZContentObjectStateGroup::isValid | ( | & | $messages = `array()` | ) |

Checks if all data is valid and can be stored to the database.

Parameters

  array | &$messages |

Returns
  boolean true when valid, false when not valid

See also
  eZContentObjectStateGroup::store()

Definition at line 378 of file ezcontentobjectstategroup.php.

References $messages, $translation, fetchByIdentifier(), and eZCharTransform\instance().

## ◆ languages()

eZContentObjectStateGroup::languages | ( |  | ) |

Get the languages the state group exists in.

Returns
  array an array of eZContentLanguage instances

Definition at line 265 of file ezcontentobjectstategroup.php.

References eZContentLanguage\prioritizedLanguagesByMask().

Referenced by availableLanguages().

## ◆ limitations()

static eZContentObjectStateGroup::limitations | ( |  | ) |
| static

Returns an array of limitations useable by the policy system

Returns
  array

Definition at line 643 of file ezcontentobjectstategroup.php.

References $db, $group, $groups, $name, eZSys\cacheDirectory(), and fetchByConditions().

## ◆ limitationValues()

static eZContentObjectStateGroup::limitationValues | ( |  | $groupID | ) |
| static

Returns an array of limitation values useable by the policy system

Parameters

  integer | $groupID |

Returns
  array

Definition at line 704 of file ezcontentobjectstategroup.php.

References $group, $groupID, $states, and fetchById().

## ◆ newState()

eZContentObjectStateGroup::newState | ( |  | $identifier = `null` | ) |

Creates a new content object state in this content object state group

Parameters

  string | $identifier | identifier for the new state group

Returns
  eZContentObjectState the new content object state

Definition at line 622 of file ezcontentobjectstategroup.php.

## ◆ removeByID()

static eZContentObjectStateGroup::removeByID | ( |  | $id | ) |
| static

Parameters

  integer | $id |

Definition at line 495 of file ezcontentobjectstategroup.php.

References $db, $id, $states, definition(), eZContentObjectStateGroupLanguage\definition(), eZContentObjectState\fetchByGroup(), eZContentObjectState\removeByID(), and eZPersistentObject\removeObject().

## ◆ removeStatesByID()

eZContentObjectStateGroup::removeStatesByID | ( |  | $idList | ) |

Parameters

  array | $idList |

Definition at line 514 of file ezcontentobjectstategroup.php.

References $db, $i, $id, $states, eZContentObjectState\cleanDefaultsCache(), eZPersistentObject\count(), eZContentObjectState\removeByID(), and states().

## ◆ reorderStates()

eZContentObjectStateGroup::reorderStates | ( |  | $stateIDList | ) |

Parameters

  array | $stateIDList |

Returns
  boolean

Definition at line 574 of file ezcontentobjectstategroup.php.

References $db, $i, $states, and states().

## ◆ setCurrentLanguage()

eZContentObjectStateGroup::setCurrentLanguage | ( |  | $locale | ) |

Parameters

  string | $locale |

Returns
  boolean

Definition at line 169 of file ezcontentobjectstategroup.php.

References $lang, $locale, $translation, eZContentLanguage\fetchByLocale(), setLanguageObject(), and translations().

## ◆ setLanguageObject()

eZContentObjectStateGroup::setLanguageObject | ( | eZContentObjectStateGroupLanguage | $stateGroupLanguage | ) |
| private

Parameters

  eZContentObjectStateGroupLanguage | $stateGroupLanguage |

Definition at line 148 of file ezcontentobjectstategroup.php.

Referenced by setCurrentLanguage().

## ◆ stateByIdentifier()

eZContentObjectStateGroup::stateByIdentifier | ( |  | $stateIdentifier | ) |

Definition at line 633 of file ezcontentobjectstategroup.php.

References eZPersistentObject\attribute(), and eZContentObjectState\fetchByIdentifier().

## ◆ states()

eZContentObjectStateGroup::states | ( |  | $refreshMemberVariable = `false` | ) |

Parameters

  boolean | $refreshMemberVariable |

Returns
  array

Definition at line 460 of file ezcontentobjectstategroup.php.

References $States, and eZContentObjectState\fetchByGroup().

Referenced by removeStatesByID(), and reorderStates().

## ◆ store()

eZContentObjectStateGroup::store | ( |  | $fieldFilters = `null` | ) |

Stores the content object state group and its translations.

Before storing a content object state group, you should use eZContentObjectStateGroup::isValid() to check its validness.

Parameters

  array | $fieldFilters |

Reimplemented from eZPersistentObject.

Definition at line 296 of file ezcontentobjectstategroup.php.

References $db, $translation, eZPersistentObject\setAttribute(), and eZPersistentObject\storeObject().

## ◆ translationByLocale()

eZContentObjectStateGroup::translationByLocale | ( |  | $locale | ) |

Definition at line 223 of file ezcontentobjectstategroup.php.

References $locale, $translation, allTranslations(), and eZContentLanguage\idByLocale().

## ◆ translations()

eZContentObjectStateGroup::translations | ( |  | ) |

Returns
  array

Definition at line 247 of file ezcontentobjectstategroup.php.

References $Translations, and eZContentObjectStateGroupLanguage\fetchByGroup().

Referenced by allTranslations(), and setCurrentLanguage().

## Member Data Documentation

## ◆ $allowInternalCUD

eZContentObjectStateGroup::$allowInternalCUD = false
| static

Definition at line 28 of file ezcontentobjectstategroup.php.

## ◆ $AllTranslations

eZContentObjectStateGroup::$AllTranslations
| private

Definition at line 724 of file ezcontentobjectstategroup.php.

Referenced by allTranslations().

## ◆ $DefaultLanguageID

eZContentObjectStateGroup::$DefaultLanguageID

Definition at line 20 of file ezcontentobjectstategroup.php.

## ◆ $LanguageObject

eZContentObjectStateGroup::$LanguageObject
| private

Definition at line 722 of file ezcontentobjectstategroup.php.

Referenced by currentTranslation().

## ◆ $States

eZContentObjectStateGroup::$States
| private

Definition at line 725 of file ezcontentobjectstategroup.php.

Referenced by states().

## ◆ $Translations

eZContentObjectStateGroup::$Translations
| private

Definition at line 723 of file ezcontentobjectstategroup.php.

Referenced by translations().

## ◆ MAX_IDENTIFIER_LENGTH

const eZContentObjectStateGroup::MAX_IDENTIFIER_LENGTH = 45

Definition at line 21 of file ezcontentobjectstategroup.php.

The documentation for this class was generated from the following file:

- ezcontentobjectstategroup.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.